Subject: bug#53934: OpenJDK doesn't have a doclet

From: Julien Lepiller <[email-masked]>
Date: Mon, 14 Feb 2022 22:35:08 +0100

Openjdk has two outputs: out and jdk. The default output contains only
what's necessary to *run* a Java application, while the jdk output
contains that *in addition* to what's needed to build Java applications
(javac, ...). I'm not knowledgeable enough to know if javadoc or doclet
need to be in the default output or not. Aren't they used only when
developping or building Java code?

Le Mon, 14 Feb 2022 22:26:27 +0100,
Igor Gajsin <[email-masked]> a écrit :

> I narrowed down where the problem arise and found the exact bugreport:
> https://github.com/clojure-emacs/orchard/issues/117#issuecomment-859987280
> 
> Unfortunately, I didn't get the solution 'one has to use ONLY the
> package "openjdk:jdk"'. What does it mean?
> 
> Also, why openjdk removes javadoc, is it a bug or a correct behaviour?
> 
> Michael Rohleder <[email-masked]> writes:
> 
> > [[PGP Signed Part:Undecided]]
> > Igor Gajsin <[email-masked]> writes:  
> >> There is a problem with openjdk (all versions 10 to 17). When I run
> >> cider (emacs mode for clojure) it complains about:
> >> java.lang.ClassNotFoundException: jdk.javadoc.doclet.Doclet
> >>
> >> when I try to set icedtea there is no such problem. If I
> >> understand well doclet is a part of JDK so it shoulb be part of a
> >> modern openjdk installation.  
> >
> > I haven't tried, but maybe adding a file "module-info.java" with the
> > content "requires jdk.javadoc" to your project might help. [1]
> >
> > [1]
> > https://stackoverflow.com/questions/65683365/why-cant-i-import-the-jdk-javadoc-doclet-package
> >  
> 
>